Summary:        Python MessagePack (de)serializer
Name:           python-msgpack
Version:        1.0.5
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://msgpack.org/
Source0:        https://github.com/msgpack/msgpack-python/archive/v%{version}/msgpack-%{version}.tar.gz

BuildRequires:  gcc-c++

%description
This package provides a Python (de)serializer for MessagePack, which is a binary-based efficient 
data interchange format.

%package -n python3-msgpack
Summary:        %{summary}

BuildRequires:  python3-Cython python3-devel
BuildRequires:  python3-setuptools python3-pytest
Provides:       python3-msgpack = %{version}-%{release}
Provides:       python3dist(msgpack-python) = %{version}
Provides:       python%{python3_version}dist(msgpack-python) = %{version}

%description -n python3-msgpack
This package provides a Python3 (de)serializer for MessagePack, which is a binary-based efficient 
data interchange format.

%prep
%autosetup -p1 -n msgpack-python-%{version}

rm -rf test/test_timestamp.py

%build
%py3_build

%install
%py3_install

%check
%pytest -v test

%files -n python3-msgpack
%license COPYING
%doc README.md
%{python3_sitearch}/msgpack/
%{python3_sitearch}/msgpack*.egg-info

%changelog
* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 1.0.5-1
- Upgrade to version 1.0.5

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.4-1
- package init.
